Bug 977924 - [abrt] IMAP interruption side-effects / claws-mail-3.9.2-1.fc19: folder_item_get_msginfo_by_msgid: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] IMAP interruption side-effects / claws-mail-3.9.2-1.fc19: folder_item_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:e134bd7513a92faa0c2f60c1a12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 11:18 EDT by Heiko Adams
Modified: 2015-01-05 02:35 EST (History)
2 users (show)

See Also:
Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 19:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.84 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: core_backtrace (1.73 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: dso_list (22.83 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: environ (1.38 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: maps (108.61 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: open_fds (2.05 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: var_log_messages (6.12 KB, text/plain)
2013-06-25 11:18 EDT, Heiko Adams
no flags Details
File: xsession_errors (36.18 KB, text/plain)
2013-06-25 11:19 EDT, Heiko Adams
no flags Details

  None (edit)
Description Heiko Adams 2013-06-25 11:18:01 EDT
Version-Release number of selected component:
claws-mail-3.9.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        claws-mail
crash_function: folder_item_get_msginfo_by_msgid
executable:     /usr/bin/claws-mail
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 folder_item_get_msginfo_by_msgid at folder.c:2804
 #1 procmsg_msg_has_flagged_parent_real at procmsg.c:2138
 #2 procmsg_msg_has_flagged_parent at procmsg.c:2186
 #3 procmsg_msg_has_marked_parent at procmsg.c:2198
 #4 update_folder_msg_counts at procmsg.c:1940
 #5 procmsg_msginfo_unset_flags at procmsg.c:2059
 #6 msginfo_mark_as_read at summaryview.c:3523
 #7 msginfo_mark_as_read_timeout at summaryview.c:3541
 #13 gtk_main at gtkmain.c:1257

Potential duplicate: bug 711339
Comment 1 Heiko Adams 2013-06-25 11:18:06 EDT
Created attachment 765126 [details]
File: backtrace
Comment 2 Heiko Adams 2013-06-25 11:18:10 EDT
Created attachment 765127 [details]
File: cgroup
Comment 3 Heiko Adams 2013-06-25 11:18:14 EDT
Created attachment 765128 [details]
File: core_backtrace
Comment 4 Heiko Adams 2013-06-25 11:18:19 EDT
Created attachment 765129 [details]
File: dso_list
Comment 5 Heiko Adams 2013-06-25 11:18:24 EDT
Created attachment 765130 [details]
File: environ
Comment 6 Heiko Adams 2013-06-25 11:18:31 EDT
Created attachment 765131 [details]
File: limits
Comment 7 Heiko Adams 2013-06-25 11:18:41 EDT
Created attachment 765132 [details]
File: maps
Comment 8 Heiko Adams 2013-06-25 11:18:44 EDT
Created attachment 765133 [details]
File: open_fds
Comment 9 Heiko Adams 2013-06-25 11:18:48 EDT
Created attachment 765134 [details]
File: proc_pid_status
Comment 10 Heiko Adams 2013-06-25 11:18:57 EDT
Created attachment 765136 [details]
File: var_log_messages
Comment 11 Heiko Adams 2013-06-25 11:19:03 EDT
Created attachment 765137 [details]
File: xsession_errors
Comment 12 Michael Schwendt 2014-05-01 10:53:31 EDT
> ** (claws-mail:11987): WARNING **: [16:56:45] IMAP4-Verbindung unterbrochen
> ** (claws-mail:11987): WARNING **: [16:56:45] TLS-Sitzung konnte nicht gestartet werden.
> (claws-mail:11987): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
> (claws-mail:11987): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed

Very likely fixed upstream by the recent imap_destroy_all related commits.
Comment 13 Fedora Update System 2014-05-26 17:17:04 EDT
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20
Comment 14 Fedora Update System 2014-05-26 17:17:38 EDT
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
Comment 15 Fedora Update System 2014-05-27 22:55:46 EDT
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2014-05-30 19:48:47 EDT
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-11-02 12:51:26 EST
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19
Comment 18 Fedora Update System 2014-11-02 12:52:08 EST
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20
Comment 19 Fedora Update System 2014-11-02 12:54:47 EST
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21
Comment 20 Fedora Update System 2014-11-10 01:29:52 EST
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2014-11-10 01:33:38 EST
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-01-05 02:35:59 EST
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.